## org.openorb.compiler.object
Class IdlInclude

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlInclude

All Implemented Interfaces:
  idlObject, java.io.Serializable

public class IdlInclude
extends IdlObject

Cette classe represente une information sur une inclusion dans un fichier IDL

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:22 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Field Summary
`java.lang.String` `file_name` Nom du fichier

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlInclude(IdlObject father, java.lang.String file_name)` Cree un objet IDL Include

Method Summary
`java.lang.String` `file_name()` Retourne le nom du fichier

Methods inherited from class org.openorb.compiler.object.IdlObject

`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, content, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### file_name

    public java.lang.String file_name

  Nom du fichier

Constructor Detail

### IdlInclude

    public IdlInclude(IdlObject father,
                      java.lang.String file_name)

  Cree un objet IDL Include

Method Detail

### file_name

    public java.lang.String file_name()

  Retourne le nom du fichier